#ifndef _BF_GLOBALS_H_
#define _BF_GLOBALS_H_
/*
 *   $RCSfile: bf_globals.h,v $  
 *   $Revision: 1.1.1.1 $  
 *   $Date: 1996/05/04 21:55:19 $      
 */ 
/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/

extern int			PageHashTableSize;		/* option */
extern int			PageHashPoolSize;		/* option */

extern int			NumGroupLink;
extern LIST			GroupLinkPool;
extern GROUPLINK	*GroupLinkPtr;
extern int			NumBufGroups;
extern BUFGROUP		*BufGroupPtr;
extern LIST			BufGroupPool;
extern LIST			UsedBufGroups;
extern int			MaxBufs;
extern int			ReservedBufs;
extern LIST			PageInfoPool;
extern PAGEINFO		*PageInfoPtr;
extern int			NumBuffers;
extern char			*BufferPool;
extern char			*MallocBufferPool;
extern BUFINFO		*BufInfoTable;
extern int			NumChunkDesc;
extern CHUNKDESC	*ChunkDescPtr;
extern LIST			ChunkDescPool;
extern int			NumFreeBlocks;
extern LIST			UserDescPool;
extern int			NumUserDesc;
extern USERDESC		*UserDescTable;
extern LIST			*ObjectHashTable;
extern int			ObjectHashTableSize;
extern unsigned int	ObjectHashMask;
extern LIST			SuspendListPool;
extern int			SuspendListSize;
extern int			NumBufferSizes;
extern LIST			*FreeBufTable;
extern int			CacheClock;
extern LIST			BufStructPool;
extern PAGE2SIZE	MaxBuf2Size;
extern PAGE2SIZE	MaxPage2Size;

extern int 			MaxLgOpChunk;

#endif /* _BF_GLOBALS_H_ */
