#ifndef _LM_EXTFUNCS_H_
#define _LM_EXTFUNCS_H_
/*
 *   $RCSfile: lm_extfuncs.h,v $  
 *   $Revision: 1.1.1.1 $  
 *   $Date: 1996/05/04 21:55:20 $
 */ 
/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

extern int  lm_LockFile(FID*, LOCKMODE);
extern int	lm_LockPage(const PID*, PAGEHASH*, LOCKMODE, FID*);
extern int lm_IsLockCached(const PID* pid);
extern void lm_ClearLockCache();
extern void lm_UnlockPage(PID*, PAGEHASH*);
extern void lm_InvalidateLock(const PID*);
extern void lm_InvalidateAllLocks();
extern void LM_PrintQueue();		/* for debugging */

#ifdef __cplusplus
}
#endif
#endif /* _LM_EXTFUNCS_H_ */
