#ifndef _SEQUENTIAL_FUNCS_H_
#define _SEQUENTIAL_FUNCS_H_
/*
 *   $RCSfile: sequential_funcs.h,v $  
 *   $Revision: 1.1.1.1 $  
 *   $Date: 1996/05/04 21:55:20 $      
 */ 
/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

extern int			createSequentialFile (VOLID, PAGE2SIZE, PID *, FID *);
extern void			initSequential (void);
extern void			initSequentialLoadDesc (void);
extern void			initSequentialScanDesc (void);
extern SEQLOADDESC	*openSequentialLoad (FID *);
extern SEQSCANDESC	*openSequentialScan (FID *);
extern int 			loadNextSequential (SEQLOADDESC*, char*, int);
extern int			closeSequentialLoad (SEQLOADDESC*);
extern int			closeSequentialScan (SEQSCANDESC*);
extern void			initSequential (void);
extern int			scanNextSequential (SEQSCANDESC*, char*, int*, BOOL*);
extern void			shutdownSequential (void);

#ifdef __cplusplus
}
#endif
#endif /* _SEQUENTIAL_FUNCS_H_ */
