#ifndef _SM_GLOBALS_H_
#define _SM_GLOBALS_H_
/*
 *   $RCSfile: sm_globals.h,v $  
 *   $Revision: 1.1.1.1 $  
 *   $Date: 1996/05/04 21:55:20 $      
 */ 
/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/

/* BEGIN visible to user */
extern int			sm_errno;
extern int			sm_reason;	/* reason a transaction was aborted */
extern FILE			*sm_ErrorStream;

/*
 *	Default locking modes for files and pages.  
 *	Users can set these as desired.
 */
extern LOCKMODE		sm_DefaultPageLock;
extern LOCKMODE		sm_DefaultFileLock;

/* END visible to user */

extern int			NumScanDesc;
extern LIST			ScanDescPool;
extern LIST			UsedScanDesc;
extern int			NumLoadDesc;
extern LIST			LoadDescPool;
extern LIST			UsedLoadDesc;
extern BOOL			InternalCall;
extern char			*VersionGraphSpace;
extern int			VersionGraphSpaceSize;
extern BOOL			DeallocSmallObjPages;
#endif /* _SM_GLOBALS_H_ */
