#ifndef _DISTR_INTFUNCS_H_
#define _DISTR_INTFUNCS_H_
/*
 *   $RCSfile: distr_intfuncs.h,v $  
 *   $Revision: 1.1.1.1 $  
 *   $Date: 1996/05/04 21:55:44 $      
 */ 
/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

extern GTIDREC			*allocGtidRec (POOL *);
extern SERVERTIDINFO	*allocServerTidInfo (POOL *);
extern int				coord_LogCommit(TRANSREC *);
extern int				coord_LogPrepare(TRANSREC *);
extern int				countLocks(TRANSREC *, VOTE *);
extern int				countVols(TRANSREC *);
extern int				freeServerTidInfo(TRANSREC *);
extern void				initServerTidInfo(SERVERTIDINFO *);
extern int				replyDatagram(int, int, int, BOOL);
extern void				replyWithAck(TRANSREC *);
extern int				serverCommitTrans(TRANSREC *);
extern int				serverPrepareTrans(TRANSREC *, VOTE *);
extern int				server_LogCommit(TRANSREC *);
extern int				server_LogPrepare(TRANSREC *, VOTE *);
extern int				server_LogPrepareLocks(TRANSREC *, VOTE *);
extern int				server_LogPrepareVols(TRANSREC *);


#ifdef __cplusplus
}
#endif
#endif /* _DISTR_INTFUNCS_H_ */
