#ifndef _STAT_GLOBALS_H_
#define _STAT_GLOBALS_H_
/*
 *   $RCSfile: stat_globals.h,v $  
 *   $Revision: 1.1.1.1 $  
 *   $Date: 1996/05/04 21:55:45 $      
 */ 
/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/

/* 
 * Server statistics:
 * These are all declared and described in util/stat_space.c
 */

extern int 	itx_client_current, itx_client_old, itx_server_foiled,
	itx_lrc_lookups, itx_lrc_finds;
extern int 	cache_hits, cache_misses, swaps, noswaps;
extern int	disk_requests, fast_path_taken, slow_path_taken;
extern int	serv_sleeps, serv_polls, serv_sel_intrs;
extern int 	sel_connects, sel_disks, sel_clients, sel_stdin, sel_media,
	sel_dgrams;

extern int  serv_v_ops;
extern int 	disk_replies_found, disk_replies_kicked, unnecessary_kicks,
			disk_requests_out, threads_awaiting_q;
extern int	/*TODO : remove these */
			loops, loop_spare, loop_ran_ready;
#endif /* _STAT_GLOBALS_H_ */
