/*
 *   $RCSfile: initializeTrace.c,v $  
 *   $Revision: 1.1.1.1 $  
 *   $Date: 1996/05/04 21:56:07 $      
 */ 
/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/

#include "sysdefs.h"
#include "ess.h"
#include "checking.h"
#include "error.h"
#include "trace.h"
#include "queues.h"
#include "diskproc_globals.h"
#include "diskproc_intfuncs.h"

void
initializeTrace(

)
{

	TraceLevel.level[0]  = TR_LEVEL_1;		/* TR_DEBUG		*/
	TraceLevel.level[1]  = TR_LEVEL_1;		/* TR_BF		*/
	TraceLevel.level[2]  = TR_LEVEL_1;		/* TR_LIST		*/
	TraceLevel.level[3]  = TR_LEVEL_1;		/* TR_FI		*/
	TraceLevel.level[4]  = TR_LEVEL_1;		/* TR_SM		*/
	TraceLevel.level[5]  = TR_LEVEL_1;		/* TR_LG		*/
	TraceLevel.level[6]  = TR_LEVEL_1;		/* TR_EH		*/
	TraceLevel.level[7]  = TR_LEVEL_1;		/* TR_IO		*/
	TraceLevel.level[8]  = TR_LEVEL_1;		/* TR_TEST		*/
	TraceLevel.level[9]  = TR_LEVEL_1;		/* TR_THREAD	*/
	TraceLevel.level[10] = TR_LEVEL_1;		/* TR_LATCH		*/
	TraceLevel.level[11] = TR_LEVEL_1;		/* TR_SEM		*/
	TraceLevel.level[12] = TR_LEVEL_1;		/* TR_INIT		*/
	TraceLevel.level[13] = TR_LEVEL_1;		/* TR_DISK		*/
	TraceLevel.level[14] = TR_LEVEL_1;		/* TR_MSG		*/
	TraceLevel.level[15] = TR_LEVEL_1;		/* TR_DISKRW	*/
	TraceLevel.level[16] = TR_LEVEL_1;		/* TR_ADMIN		*/
	TraceLevel.level[17] = TR_LEVEL_1;		/* TR_BL		*/
	TraceLevel.level[18] = TR_LEVEL_1;		/* TR_BITMAP	*/
	TraceLevel.level[19] = TR_LEVEL_1;		/* TR_TRANS		*/
	TraceLevel.level[20] = TR_LEVEL_1;		/* TR_LOCK		*/
	TraceLevel.level[21] = TR_LEVEL_1;		/* TR_LOG		*/
	TraceLevel.level[22] = TR_LEVEL_1;		/* TR_RECOVER	*/
	TraceLevel.level[23] = TR_LEVEL_1;		/* TR_ACCESS	*/
	TraceLevel.level[24] = TR_LEVEL_1;		/* TR_SEQ		*/

}
