/*
 *   $RCSfile: bm_extfuncs.h,v $  
 *   $Revision: 1.1.1.1 $  
 *   $Date: 1996/05/04 21:55:42 $      
 */ 
#ifndef __BM_EXTFUNCS_H__
#define __BM_EXTFUNCS_H__

/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/
#ifdef __cplusplus
extern "C" {
#endif

extern int			bm_CheckSet (UFOUR *, FOUR);
extern void			bm_ClearBit (UFOUR *, FOUR);
extern FREECONTEXT	*bm_FindContigBits (VOLREC *, FOUR, FOUR, FOUR, LIST *);
extern void			bm_FreeContext (LIST *);
extern void			bm_Initialize (void);
extern void			bm_ListUnfix (LIST *, BOOL);
extern void			bm_ListUnfixDepend (LIST *, FORCEMARK, LSN *, LRC []);
extern void			bm_ListDepend (LIST *, FORCEMARK, LSN *, LRC []);
extern void			bm_SetBit (UFOUR *, FOUR);
extern void			bm_UnallocContext (LIST *);
extern GROUPLINK	*bm_ListRead (VOLREC *, PID *, LIST *);
extern void			bm_ListIncrementCount (LIST *, int *);
extern void			bm_ListSaveLrc (LIST *, LRC []);

#ifdef __cplusplus
}
#endif
#endif __BM_EXTFUNCS_H__
