#ifndef _DISTR_GLOBALS_H_
#define _DISTR_GLOBALS_H_
/*
 *   $RCSfile: distr_globals.h,v $  
 *   $Revision: 1.1.1.1 $  
 *   $Date: 1996/05/04 21:55:44 $      
 */ 
/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/

extern POOL				GtidRecPool;
extern int				NumGtidRecs;
extern GTIDREC			*GtidRecPtr;
extern POOL				ServerTidInfoPool;
extern int				NumServerTidInfos;
extern SERVERTIDINFO	*ServerTidInfoPtr;
extern LIST				CoordDistrTransList;
extern int				numActiveCoordDistrTrans;
extern int				numPrevActiveCoordDistrTrans;
extern LIST				ServerDistrTransList;
extern int				numActiveServerDistrTrans;
extern VOLIDNAME		*preparedTransVolumes;
extern UFOUR			preparedTransVolumeCount;

/* coord thread waits on this list */
extern LIST				CoordWaitList;

extern VOTE				DebugDistrVote;
extern int				DebugCrashLoc;
#endif /* _DISTR_GLOBALS_H_ */
