#ifndef _SERVER_OPTIONS_H_
#define _SERVER_OPTIONS_H_
/*
 *   $RCSfile: server_options.h,v $  
 *   $Revision: 1.1.1.1 $  
 *   $Date: 1996/05/04 21:55:45 $      
 */ 
/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/

enum {  SM_OPT_help, SM_OPT_skipdefault, SM_OPT_force, SM_OPT_config,
		SM_OPT_verbose,
        SM_OPT_bufpages, SM_OPT_logvolume, SM_OPT_portname,
        SM_OPT_errorfile, SM_OPT_regenlog, SM_OPT_shutdown,
        SM_OPT_checkpoints, SM_OPT_wrapcount, SM_OPT_progress,
		SM_OPT_background,
        SM_OPT_diskproc, SM_OPT_intercache, SM_OPT_maxclients,
        SM_OPT_maxthreads, SM_OPT_extrastats,
		SM_OPT_maxaddvolumes,
        SM_OPT_preflushlog, SM_OPT_traceflags, SM_OPT_volume,
        FMT_OPT_volume, FMT_OPT_log, FMT_OPT_data, FMT_OPT_temp, 
		FMT_OPT_display
	 };

#endif /* _SERVER_OPTIONS_H_ */
