#ifndef _SM_EXTFUNCS_H_
#define _SM_EXTFUNCS_H_
/*
 *   $RCSfile: sm_extfuncs.h,v $  
 *   $Revision: 1.1.1.1 $  
 *   $Date: 1996/05/04 21:55:45 $      
 */ 
/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

extern int		sm_DestroyPage (BUFGROUP *, PID *, LIST *);
extern int		sm_LogSlottedFormat (PID *, PAGEHASH *);
extern int		sm_LogIndexDescFormat (PID*, PAGEHASH*);
extern int		sm_RecreateSmallObj (UONE, SLOTTEDPAGE *, SMALLOBJ *,
									 SLOTINDEX, UNIQUE, UFOUR, BOOL);
extern int		sm_InsertInSmallObj (SLOTTEDPAGE *, char *, OID *,
									 FOUR, FOUR);
extern int		sm_AppendToSmallObj (SLOTTEDPAGE *, char *, OID *, FOUR);
extern int		sm_DeleteFromSmallObj (SLOTTEDPAGE *, OID *, FOUR, FOUR);
extern int		sm_LogEntirePage (GROUPLINK*, PAGETYPE);

#ifdef DEBUG
	extern void		SM_AuditSlotPage PROTO((SLOTTEDPAGE *, char *, int ));
#	define 	sm_AuditSlotPage(x)   SM_AuditSlotPage(x, __FILE__, __LINE__)
#else
#	define 	sm_AuditSlotPage(x)   /*comment*/
#endif

#ifdef __cplusplus
}
#endif
#endif /* _SM_EXTFUNCS_H_ */
